Skip to main content
PATCH
/
api
/
v2
/
custom-tags
/
{id}
Patch custom tag
curl --request PATCH \
  --url https://api.instantly.ai/api/v2/custom-tags/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Important",
  "description": "Used for marking important items"
}
'
{
  "id": "019cc043-af21-713f-a14d-3aaa6f6b8243",
  "timestamp_created": "2026-03-05T23:09:47.169Z",
  "timestamp_updated": "2026-03-05T23:09:47.169Z",
  "organization_id": "019cc043-af21-713f-a14d-3aab6bc2d771",
  "label": "Important",
  "description": "Used for marking important items"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the item to update

Example:

"019cc043-e348-7b69-bb6f-b26300823c23"

Body

application/json
label
string

Display label for the custom tag

Example:

"Important"

description
string | null

Detailed description of the custom tag purpose

Example:

"Used for marking important items"

Response

The updated Custom Tag

A custom tag for organizing and categorizing accounts and campaigns. You can use them as filters in apis that list accounts and campaigns.

id
string<uuid>
required

Unique identifier for the custom tag

Example:

"019cc043-af21-713f-a14d-3aaa6f6b8243"

timestamp_created
string<date-time>
required

Timestamp when the custom tag was created

Example:

"2026-03-05T23:09:47.169Z"

timestamp_updated
string<date-time>
required

Timestamp when the custom tag was last updated

Example:

"2026-03-05T23:09:47.169Z"

organization_id
string<uuid>
required

Organization ID that owns this custom tag

Example:

"019cc043-af21-713f-a14d-3aab6bc2d771"

label
string
required

Display label for the custom tag

Example:

"Important"

description
null | string

Detailed description of the custom tag purpose

Example:

"Used for marking important items"